Page MenuHomePhabricator

nb subdomain redirects
Closed, ResolvedPublic

Description

Like T86915, while investigating T74674, I found that most of the nb subdomain redirects are pointing at the wrong wiki, and many landing pages even say we dont have a Bokmal wiki.

Of course, nb.wikipedia.org perfectly points to http://no.wikipedia.org.

However, nb.wikt, nb.wq, nb.wb, and nb,wy all point to the incubator, which says "A [wiki] in this language does not exist."

nb.wikiversity should redirect to http://beta.wikiversity.org/wiki/Hovedside

And nb.wikisource points to http://wikisource.org , when it should redirect to http://no.wikisource.org.

Details

Related Gerrit Patches:
operations/puppet : productionAlso add redirect for nowikinews
operations/puppet : productionSet up Norwegian language aliases for remaining sites

Event Timeline

jayvdb created this task.Jan 15 2015, 3:19 PM
jayvdb raised the priority of this task from to Needs Triage.
jayvdb updated the task description. (Show Details)
jayvdb added a subscriber: jayvdb.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 3:19 PM
jayvdb added a subscriber: jhsoby.Jan 16 2015, 12:33 AM

Not sure either if this is still site-requests level (shell) or already lower on DNS level (ops). I think it's still the first.

Aklapper triaged this task as Low priority.Jan 18 2015, 11:52 PM

Some good background re no/nb on T14317.

Hydriz set Security to None.
Hydriz added a subscriber: Hydriz.

Resolving this task involves a patch for the apache configuration in puppet (under redirects.conf). Removing WikimediaIncubator extension as it is unrelated.

Rather than doing this by an apache config, I think we should let missing.php handle this. We won't have to make changes whenever a new no wiki is created then.

jayvdb updated the task description. (Show Details)May 8 2015, 7:22 AM
Dzahn added a subscriber: Dzahn.May 8 2015, 5:14 PM

Not sure either if this is still site-requests level (shell) or already lower on DNS level (ops). I think it's still the first.

It's not DNS. dns/templates/helpers/langs.tmpl contains both, "no" and "nb". This is used by dns/templates/helpers/langlist.tmpl to generate the zone files for the projects.

For example in the template for wiktionary.org:

39 ; All languages will automatically be included here
40 {{ geolanglist('text-addrs') }}

If you grep automatically * in the templates you will see how other projects do this as well.

So the entries should really exist for both in all projects (as long as they include the global langlist).

Hydriz removed a subscriber: Hydriz.Jun 18 2015, 1:23 PM

And also nb.wikinews.org -> no.wikinews.org?

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 18 2015, 9:20 PM

Change 225646 had a related patch set uploaded (by Alex Monk):
Set up Norwegian language aliases for remaining sites

https://gerrit.wikimedia.org/r/225646

Change 225646 merged by Dzahn:
Set up Norwegian language aliases for remaining sites

https://gerrit.wikimedia.org/r/225646

Dzahn closed this task as Resolved.Jul 19 2015, 10:04 PM
Dzahn claimed this task.
[terbium:~] $ apache-fast-test nb.urls mw1033
testing 6 urls on 1 servers, totalling 6 requests
spawning threads..

http://nb.wikibooks.org
 * 301 Moved Permanently http://no.wikibooks.org/
http://nb.wikiquote.org
 * 301 Moved Permanently http://no.wikiquote.org/
http://nb.wikisource.org
 * 301 Moved Permanently http://no.wikisource.org/
http://nb.wikiversity.org
 * 301 Moved Permanently http://beta.wikiversity.org/wiki/Hovedside
http://nb.wikivoyage.org
 * 301 Moved Permanently http://no.wikivoyage.org/
http://nb.wiktionary.org
 * 301 Moved Permanently http://no.wiktionary.org/
Dzahn reopened this task as Open.Jul 19 2015, 10:06 PM

nb.wikinews.org -> no.wikinews.org is missing indeed

Although https://nb.wikinews.org doesn't actually exist, it just redirects to incubator.

@Krenair yes, we should add that redirect as well

Change 225831 had a related patch set uploaded (by Alex Monk):
Also add redirect for nowikinews

https://gerrit.wikimedia.org/r/225831

Change 225831 merged by Dzahn:
Also add redirect for nowikinews

https://gerrit.wikimedia.org/r/225831

Krenair closed this task as Resolved.Jul 20 2015, 12:06 AM